Subject: bug#61748: 27.2; Eglot should use shell-file-name when launching the language server for a remote file

From: Michael Albinus <[email-masked]>
Date: Mon, 27 Feb 2023 20:57:30 +0100

João Távora <[email-masked]> writes:

Hi João,

> At least in my case, I was able to make Eglot/Tramp work successfully
> by adding 'tramp-own-remote-path' to the 'tramp-remote-path' list.
> If I do that, everything works as expected.
>
> In my case I was using simply a /bin/sh on the remote server
> and the user had a ~/bin directory that her ~/.profile adds to PATH.
> But without the 'tramp-own-remote-path' fix, the shell used by Tramp
> is not interactive and thus won't consider ~/.profile at all.

Why don't you add (the expanded) ~/bin to tramp-remote-path?

> João

Best regards, Michael.